From ba357647a6df39dc5962f24aad6f068f0094a8f8 Mon Sep 17 00:00:00 2001
From: Dinesh Kaushal <dineshkaushal@gmail.com>
Date: Tue, 6 Jan 2015 17:42:47 +0530
Subject: [PATCH] Enabled liblouis braille tables for some Indian languages
 issue 4778

---
 source/braille.py | 57 ++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 48 insertions(+), 9 deletions(-)

diff --git a/source/braille.py b/source/braille.py
index e845eaa..2f2f0e7 100644
--- a/source/braille.py
+++ b/source/braille.py
@@ -31,16 +31,22 @@ TABLES = (
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("ar-fa.utb", _("Farsi grade 1"), False),
-	# Translators: The name of a braille table displayed in the
+		# Translators: The name of a braille table displayed in the
+	# braille settings dialog.
+	("as-in-g1.utb", _("Assamese grade 1"), True),
+     # Translators: The name of a braille table displayed in the
+	# braille settings dialog.
+	("be-in-g1.utb", _("Bengali grade 1"), True),
+# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("bg.ctb", _("Bulgarian 8 dot computer braille"), True),
-	# Translators: The name of a braille table displayed in the
+# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("cy-cy-g1.utb", _("Welsh grade 1"), False),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("cy-cy-g2.ctb", _("Welsh grade 2"), False),
-	# Translators: The name of a braille table displayed in the
+# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("cz-cz-g1.utb", _("Czech grade 1"), False),
 	# Translators: The name of a braille table displayed in the
@@ -112,15 +118,18 @@ TABLES = (
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("fr-bfu-g2.ctb", _("French (unified) Grade 2"), False),
-	# Translators: The name of a braille table displayed in the
+# Translators: The name of a braille table displayed in the
+	# braille settings dialog.
+	("gu-in-g1.utb", _("Gujarati grade 1"), True),
+                              	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
-	("gr-gr-g1.utb", _("Greek (Greece) grade 1"), False),
+	  ("gr-gr-g1.utb", _("Greek (Greece) grade 1"), False),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("he.ctb", _("Hebrew 8 dot computer braille"), True),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
-	("hi-in-g1.utb", _("Hindi grade 1"), False),
+	("hi-in-g1.utb", _("Hindi grade 1"), True),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("hr.ctb", _("Croatian 8 dot computer braille"), True),
@@ -141,20 +150,35 @@ TABLES = (
 	("it-it-comp8.utb", _("Italian 8 dot computer braille"), True),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
+	("ka-in-g1.utb", _("Kannada grade 1"), True),
+  # Translators: The name of a braille table displayed in the
+	# braille settings dialog.
 	("ko-g1.ctb", _("Korean grade 1"), False),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("ko-g2.ctb", _("Korean grade 2"), False),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
+	("ks-in-g1.utb", _("Kashmiri grade 1"), True),
+                                # Translators: The name of a braille table displayed in the
+	# braille settings dialog.
 	("Lv-Lv-g1.utb", _("Latvian grade 1"), False),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
+	("ml-in-g1.utb", _("Malayalam grade 1"), True),
+                               # Translators: The name of a braille table displayed in the
+	# braille settings dialog.
+	("mn-in-g1.utb", _("Manipuri grade 1"), True),
+                              # Translators: The name of a braille table displayed in the
+	# braille settings dialog.
+	("mr-in-g1.utb", _("Marathi grade 1"), True),
+# Translators: The name of a braille table displayed in the
+	# braille settings dialog.
 	("nl-be-g1.utb", _("Dutch (Belgium) grade 1"), False),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("Nl-Nl-g1.utb", _("Dutch (netherlands) grade 1"), False),
-	# Translators: The name of a braille table displayed in the
+# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("no-no.ctb", _("Norwegian 8 dot computer braille"), True),
 	# Translators: The name of a braille table displayed in the
@@ -169,7 +193,13 @@ TABLES = (
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("No-No-g3.ctb", _("Norwegian grade 3"), False),
-	# Translators: The name of a braille table displayed in the
+                                           # Translators: The name of a braille table displayed in the
+	# braille settings dialog.
+	("np-in-g1.utb", _("Nepali grade 1"), True),
+                                 # Translators: The name of a braille table displayed in the
+	# braille settings dialog.
+	("or-in-g1.utb", _("Oriya grade 1"), True),
+# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("Pl-Pl-g1.utb", _("Polish grade 1"), False),
 	# Translators: The name of a braille table displayed in the
@@ -181,12 +211,18 @@ TABLES = (
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("Pt-Pt-g2.ctb", _("Portuguese grade 2"), False),
-	# Translators: The name of a braille table displayed in the
+	                               # Translators: The name of a braille table displayed in the
+	# braille settings dialog.
+	("pu-in-g1.utb", _("Punjabi grade 1"), True),
+  	                                 	                               # Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("ru-compbrl.ctb", _("Russian braille for computer code"), False),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("ru-ru-g1.utb", _("Russian grade 1"), False),
+  	                               # Translators: The name of a braille table displayed in the
+	# braille settings dialog.
+	("sa-in-g1.utb", _("Sanskrit grade 1"), True),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("Se-Se-g1.utb", _("Swedish grade 1"), False),
@@ -202,6 +238,9 @@ TABLES = (
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("ta-ta-g1.ctb", _("Tamil grade 1"), False),
+  	                               # Translators: The name of a braille table displayed in the
+	# braille settings dialog.
+	("te-in-g1.utb", _("Telegu grade 1"), True),
 	# Translators: The name of a braille table displayed in the
 	# braille settings dialog.
 	("tr.ctb", _("Turkish grade 1"), False),
-- 
1.9.2.msysgit.0

